Download it now!
Bug 81593 - Regression: thumbnails in gallery have poor resolution and excessive enlargement when the vector source has small dimensions
Summary: Regression: thumbnails in gallery have poor resolution and excessive enlargem...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
: 117330 (view as bug list)
Depends on:
Blocks: Gallery
  Show dependency treegraph
 
Reported: 2014-07-21 09:42 UTC by sportegioco
Modified: 2020-08-15 04:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
thumbnails pixelized, good and bad character (260.04 KB, image/jpeg)
2014-07-21 09:42 UTC, sportegioco
Details
Thumbnails pixelized, good and bad character (260.04 KB, image/jpeg)
2014-07-26 16:01 UTC, sportegioco
Details
svg picture with width="5cm" and height="5cm" (744 bytes, image/svg+xml)
2014-08-01 18:27 UTC, Regina Henschel
Details
Same picture with width="0.5cm" and height="0.5cm" (748 bytes, image/svg+xml)
2014-08-01 18:29 UTC, Regina Henschel
Details
Example of file with the same image to add gallery (19.32 KB, application/vnd.oasis.opendocument.graphics)
2014-08-02 09:28 UTC, sportegioco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sportegioco 2014-07-21 09:42:29 UTC
Created attachment 103180 [details]
thumbnails pixelized, good and bad character

When i create a gallery, in draw or in another software of libreoffice, I add an image to the gallery and the thumbnail is good. From version 4.1 the thumbnail of a large image is correctly bat the thumbnail of a little image is pixelise.
If i add an image with dimension 0,40x0,40 pixel the thumbnail is no good!
Also the title is made in many strange caracter!
I have found it in libreoffice for linux and in libreoffice for windows.
The image good is made with Versione: 4.0.0.1
The image pixelized is made with Versione: 4.2.4.2
...sorry for my english
Thank you for the magnific work you are doing!!!
Gianpaolo Lucatti
Comment 1 Joel Madero 2014-07-23 02:12:55 UTC
Hi Sportegioco -

Two things:

1. Can you attach a small icon that you have tried and that is seen as pixelated (as well as one that is seen as fine). This way we can see exactly what you are seeing with the same exact image.

2. For the second issue, please report a second bug (the title being funky) - always one bug per report.


Marking as NEEDINFO - once you attach the images please set to UNCONFIRMED. Thanks for helping us out!
Comment 2 sportegioco 2014-07-26 15:58:01 UTC
I have attached an image that rapresent the problem. The image show the thumbnail that create version 4.0 of libreoffice and the thumbnail that create version 4.2
I try to attach the image a second time bat i don't know why you cannot see tha attachment
Thank you.
Paolo
Comment 3 sportegioco 2014-07-26 16:01:06 UTC
Created attachment 103503 [details]
Thumbnails pixelized, good and bad character
Comment 4 Joel Madero 2014-07-30 15:44:46 UTC
In the future please read my entire message....NEEDINFO bugs never get QA attention so I requested that you put the bug in UNCONFIRMED once you attached the requested things. Marking as UNCONFIRMED.
Comment 5 Regina Henschel 2014-08-01 18:26:02 UTC
I can confirm the described effect. The quality of the preview depends on the width and height attributes of the root svg element, not on the content. Insert the attached pictures to the gallery (right click theme > item properties > tab Files > find files > select with Ctrl-click > Add). Right click the imported pictures > Preview.
Comment 6 Regina Henschel 2014-08-01 18:27:12 UTC
Created attachment 103828 [details]
svg picture with width="5cm" and height="5cm"
Comment 7 Regina Henschel 2014-08-01 18:29:23 UTC
Created attachment 103829 [details]
Same picture with width="0.5cm" and height="0.5cm"

The only difference in the two files is in the outer width and height. Because these are mapped to the same viewBox, there is no difference in the content.
Comment 8 sportegioco 2014-08-02 09:28:49 UTC
Created attachment 103857 [details]
Example of file with the same image to add gallery
Comment 9 sportegioco 2014-08-02 09:30:42 UTC
Thanks for the reply but I can not insert the image in this way. I have a number of sized images on a page and I have to add them one by one in the gallery. Unfortunately, the thumbnails are ugly for the little image and are good for the big image. I attached a file, the same svg file in the page if i add the little the thumbnail are bad, if i add the big the thumbnail are good. You can create a gallery and try. Thank you

J have attached a file  "Example of file with the same image to add gallery"
Comment 10 QA Administrators 2015-09-04 02:49:06 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2016-09-20 10:28:51 UTC Comment hidden (obsolete)
Comment 12 sportegioco 2017-04-15 21:03:32 UTC
Unfortunately the problem is not yet resolved. 

I tried to test the old versions and noticed that it works to the last stable version of the 4.0 branch, ie LibreOffice_4.0.6.2

The next versions add some functionality, but this option does not work well

I think it would be simple to add a setting in the Advanced Configuration of the experimental features to adjust the thumbnail size option by placing a flag 'auto' that maintains the current configuration and the ability to set the size in pixels of the thumbnail
Comment 13 QA Administrators 2018-04-16 02:28:37 UTC Comment hidden (obsolete)
Comment 14 Buovjaga 2018-06-20 18:44:45 UTC
*** Bug 117330 has been marked as a duplicate of this bug. ***
Comment 15 sergio.callegari 2018-06-21 08:08:51 UTC
The issue is actually not specific to svg files in any ways.

It also happens with drawings made with LibO itself which are saved to the gallery, with emf files, with wmf files, with pdf files, in general with anything that is rasterized to the gallery.

In fact, as indicated in bug 117330, the issue happens whenever the image being pushed to the gallery is "small".

the problem is that the preview bitmap is taken at a fixed resolution ignoring the drawing size. This is not the best thing to do as it results in wasted resources when the image is big and in a poor rendering in the gallery when the image is small.

Consider the following example:

1) A 10 inch X 10 inch vector object (e.g., a whole drawing) is placed in the gallery. Assuming that the preview bitmap is taken at 100dpi (I do not know the exact resolution being used), a 1000x1000 pixel bitmap is used for the preview. When the preview appears in the gallery, given that the object will likely be offered a 0.5x0.5 inch space, the preview will have a quite redundant 2000 dpi effective resolution.

2) A small vectory symbol 0.25 x 0.25 inches is placed in the gallery. Assuming that the preview bitmap is taken at 100dpi (I do not know the exact resolution being used), a 25x25 pixel bitmap is used for the preview. When the preview appears in the gallery, given that the object will likely be offered a 0.5x0.5 inch space, the preview will have a poor 50 dpi effective resolution.

Imho, the preview bitmap in the gallery should be created with a fixed number of pixels on the x and y axis (e.g. 256), so that it always shows well when the gallery is opened.
Comment 16 Buovjaga 2018-06-21 08:10:27 UTC
Changing summary per Sergio's comment in the duplicate: "Note that the issue is not specific to svg files as in bug 81593. In my test case, the images are actually drawings made with LibO itself. The issue is actually related to the "pixel size" of the images and appears with any type of vector image."
Comment 17 Christian Lohmaier 2019-03-27 11:36:28 UTC
applying changes from https://lists.freedesktop.org/archives/libreoffice-bugs/2019-March/176649.html

"I am also noticing that zooming is in some cases excessive. Attaching a test
case. Updated the bug title accordingly.

Also, these are all regressions. I still have in the gallery some objects that
were put on the gallery with older versions of LibO (maybe even OO). At that
time, LibO/OO used to create gallery previews where the background transparency
was not evidenced in any way. However, all the present resolution/scaling
issues were absent. All those objects that had been put in the gallery at
ancient times look fine even when I explore the gallery with a recent version
of LibO. Yet, if I take those objects out of the gallery and then I try to put
them back in the gallery, their preview is broken.  Updated the bug title to
make the regression nature of the bug stand out."
Comment 18 Christian Lohmaier 2019-03-27 11:39:11 UTC
on the outage we had to rollback to a database backup - so while comments can be restored from mail notifications, attachments can not, so please reattach your sample 
"Test case for excessive zooming/enlargement of the image in the gallery preview

To test this attachment, open the document, select the object and try to put it
in the gallery. The gallery preview will look like an horrible square blob. It
used to look like a dot (as it should) with older versions of LibO/OO."

- thanks a lot
Comment 19 Regina Henschel 2020-08-14 23:54:51 UTC
Still a problem in Version: 7.0.0.2 (x64)
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL